<template>
  <div class="homeworkPath">
    <div class="top">
      <el-input placeholder="请输入内容" class="input" v-model="input" clearable> </el-input>
      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
    </div>
    <dilTable v-bind.sync="option">
      
    </dilTable>
  </div>
</template>

<script>
export default {
  name: "homeworkPath",
  data() {
    return {
      restaurants: [],
      input: "",
      option: {
        // 表格请求数据的地址
        requestUrl: "/api/v1/tms/getAllEnFactoryResult?apiId=143&orderType=5",
      },
    };
  },

  methods: {
    onclick() {
      this.option.requestUrl = "/api/v1/tms/getAllEnFactoryResult?apiId=143&orderType=5&con=" + this.input;
    },
    updateClick(resultId) {
      this.$router.push("/truckLoadResultEdit/" + resultId);
    },
    //新增
    insertClick() {
      this.$router.push("/truckLoadResultAdd/");
    },
    deleteClick(resultId) {
      
      this.$confirm("是否删除", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        center: true,
      })
        .then(() => {
          this.$message({
            type: "success",
            message: "删除成功!",
          });
          this.axios
            .post(
              "/api/v1/tms/deleteLoadResult/" + resultId
            )
            .then(() => {
              this.$router.go(0);
            });
        })
        .catch(() => {
          this.$message({
            type: "info",
            message: "取消删除!",
          });
        });
    },
  },
};
</script>
<style lang='scss'>
.homeworkPath {
   .top {
    padding: 40px;
    .input{
      width: 250px;
      margin-right: 10px;
    }
  }
}
</style>